{% extends "admin_base.html" %}


{% block content %}
      
      <script>

      $( document ).ready(function() {
        waitForAuth(); 
      
         $('#server-msg-div').slideUp("slow");
     
      });

          function waitForAuth() {
        if(is_auth == false) {//we want it to match
          console.log("fail")
          setTimeout(waitForAuth, 50);//wait 50 millisecnds then recheck
          return;
        }
       
        console.log("success")
      }

    </script>


    <div class="row">



        <div id="form">
          <div class="col-md-6">
   
   <h1 class="titles">Unit information</h1>
    <form method="POST">
        <div class="form-group">

            <label>Unit code</label>
            <input name="unit_name" value="{{unit.unit_name}}" type="text">
            <label>Unit position</label>
            <input name="position_number" value="{{unit.position_number}}" type="text">

            <div class="radio">
              <label><input type="radio" value="2" {% if unit.status == 2 %} checked {% endif %} name="status">PENDING PICKUP</label>
            </div>

            <div class="radio">
              <label><input type="radio" {% if unit.status == 1 %} checked {% endif %} value="1" name="status">PENDING DROPOFF</label>
            </div>
            <div class="radio">
              <label><input type="radio" {% if unit.status == 0 %} checked {% endif %} value="0" name="status">AT FACILITY</label>
            </div>

             <div class="radio">
              <label><input type="radio" {% if unit.status == 3 %} checked {% endif %} value="3" name="status">CANCELLED</label>
            </div>

        </div>
            <div class="form-group">
                            <label for="base_stations">Unit Base station</label>
                             
                            <select  required id="base_stations" name="base_stations" class="form-control">
                                <option  value="">Please select an option</option>
                                {% for bs in base_stations %}
                                <option {% if unit.base_station_key.id() == bs.key.id() %} selected {% endif %} value="{{bs.key.id()}}"> {{bs.name}}</option>
                                {% endfor %}
                      
                            </select>
                        </div>
         
        <button style="width:25%; border: 2px solid #f4c535;" id="update-btn"  class="btn">Save updates</button>
          <br>
          {% if gate %}
            <br>
              <a  style="width:25%; border: 2px solid #f4c535;" class='btn' href="/units/send-gate-invite/{{unit.key.id()}}">SEND GATE INVITE </a>
            <br>
          {% endif %}
    </form>
    </div>
 <a  style="width:25%; border: 2px solid #f4c535;" class='btn' href="/units/toggle-listing/{{unit.key.id()}}"> {% if unit.archived %} UNARCHIVE UNIT {% else %} ARCHIVE UNIT {% endif %}</a><br>

 {% if user %}
  <a  style="width:25%; border: 2px solid #f4c535;" class='btn' href="/cancel-units/{{unit.key.id()}}">CANCEL RENT</a><br>
 
  <p style="color:red;">
    Note: This cancels all UNPAID charges and calendars events for this unit. Additionally it resets the unit.
  </p>

{% else %}
<div class="col-md-6">
    <h3>POD reservation</h3>
    <form method="GET">
        <div class="form-group">
            
            <labal>Search</label>
            <p>Search for user by email, name, cell number</p>
            <input name="user_search_term" value="" type="text">
       
        </div>
         
        <button style="width:100%; border: 2px solid #f4c535;" id="update-btn" type="submit"  class="btn">Search</button>
        
    </form>
    <h3>Select a user</h3>
    <form method="GET">
        <div class="form-group">
            <labal>User selection </label>
            {% for u in user_list %}
            <div class="radio">
                <label><input type="radio" name="user_id" value="{{u.user_id}}">{{u.name}} - {{u.email}}</label>
            </div>
            {% endfor %}
        </div>

        <button style="width:100%; border: 2px solid #f4c535;" id="update-btn" type="submit"  class="btn">Reserve POD for selected user</button>
    
    </form>
  </div>


{% endif %}

            {% if user %}
            <h3>Owner</h3>
            <p><a href="/users/{{unit.owner_key.id()}}">{{user.name}}</a></p>
             {% endif %}

  </div>


 <h2 class="">Calendar events</h2>
 <h3>filter calendar events:</h3>
 <a href="/units/{{unit.key.id()}}?events=ALL">ALL</a><br>
  <a href="/units/{{unit.key.id()}}?events=PENDING"> SHOW PENDING</a><br>
  <a href="/units/{{unit.key.id()}}?events=COMPLETED"> SHOW COMPLETED</a><br>
  <a href="/units/{{unit.key.id()}}?events=CANCELLED"> SHOW CANCELLED</a>
  <table class="table display responsive" id=""  cellspacing="0" width="100%">
    <thead>
        <tr>
            <th data-field="name" data-sortable="true"> 
                Status </th>
            <th data-field="name" data-sortable="true"> Due Date</th>
             <th data-field="name" data-sortable="true"> Address</th>
            <th data-field="name" data-sortable="true"> Owner email</th>
             <th data-field="name" data-sortable="true"> Category</th>
            
        </tr>
    </thead>
    <tbody>

        {% if events %}
        {% for e in events %}
        <tr>
           <td>{{e.status}}
            </td>
            <td>{{e.date}}
            </td>
            <td>{{e.address.full_name}}
            </td>
            <td>{{e.owner_key.get().email}}
            </td>
            <td>{{e.category}}
            </td>
        </tr>
        {% endfor %}
         {% endif %}
    </tbody>
    <tfoot>
        <tr>
        </tr>
    </tfoot>
</table>

 <h2 class="">Unit charges</h2>

  <h3>filter charges:</h3>
 <a href="/units/{{unit.key.id()}}">ALL</a><br>
  <a href="/units/{{unit.key.id()}}?charges=PAID"> SHOW PAID</a><br>
  <a href="/units/{{unit.key.id()}}?charges=UNPAID"> SHOW UNPAID</a><br>
  <table class="table display responsive" id=""  cellspacing="0" width="100%">
    <thead>
        <tr>
            <th data-field="name" data-sortable="true"> 
                Created Date</th>
            <th data-field="name" data-sortable="true"> Pay date</th>
            <th data-field="name" data-sortable="true"> Owner name</th>
             <th data-field="name" data-sortable="true"> Charge details</th>
             <th data-field="name" data-sortable="true"> Admin comment</th>
            <th data-field="name" data-sortable="true"> Amount </th>
            <th data-field="name" data-sortable="true"> Peach Credit Card ID </th>
            <th data-field="name" data-sortable="true"> Peach EFT ID </th>
             <th data-field="name" data-sortable="true"> PODit ID </th>
            <th data-field="name" data-sortable="true"> Paid </th>
             <th data-field="name" data-sortable="true"> Edit </th>
            
        </tr>
    </thead>
    <tbody>

        {% if charges %}
        {% for c in charges %}
        <tr>
           
            <td>{{c.created}}
            </td>
               <td>{{c.pay_date}}
            </td>
            <td>{{c.owner_name}}
            </td>
            <td>{{c.details}}
            </td>
             <td>{{c.comment}}
            </td>
            <td>R {{c.amount}}
            </td>
             <td>{{c.peach_id}}
            </td>
            <td>{{c.peach_eft_key}}
            </td>
            <td>{{c.merchant_ref}}
            </td>
            <td>

        {% if c.status == 'PAID' %}

                                                <p style="color:green; font-size: 20px;"><span   class="glyphicon glyphicon-ok"></span> PAID</p>   


                                                {% elif c.status == 'CANCELLED' %}
                                                <p style="color:orange; font-size: 20px;"><span  class="glyphicon glyphicon-minus"></span> CANCELLED</p>   

                                                {% else %}
                                                <p style="color:red; font-size: 20px;"><span  class="glyphicon glyphicon-remove"></span> UNPAID</p>  
                                                {% endif %}

            </td>
            <td>
               <a  style="width:25%; border: 2px solid #f4c535;" class='btn' href="/edit-charges/{{c.id}}">Edit charge</a><br>

            </td>
        </tr>
        {% endfor %}
         {% endif %}
    </tbody>
    <tfoot>
        <tr>
        </tr>
    </tfoot>
</table>


 <h2 class="">Unit Logs</h2>

  <table class="table display responsive" id=""  cellspacing="0" width="100%">
    <thead>
        <tr>
            <th data-field="name" data-sortable="true"> 
                Created Date</th>

                 <th data-field="name" data-sortable="true"> 
                Activity description</th>
                       <th data-field="name" data-sortable="true"> User</th>
            <th data-field="name" data-sortable="true"> Unit</th>
          

            <th data-field="name" data-sortable="true"> Category</th>
        </tr>
    </thead>
    <tbody>

        {% if logs %}
        {% for log in logs %}
        <tr>
           
            <td>{{log.created}}
            </td>
              <td>{{log.description}}
            </td>
             <td>
                <a href="/users/{{log.user_id}}">{{log.user_name}}</a>   
            </td>
            <td>
                <a href="/units/{{log.unit_id}}">{{log.unit_name}}</a>
            </td>
             <td>
                {{log.category}}
            </td>

        </tr>
        {% endfor %}
         {% endif %}
    </tbody>
    <tfoot>
        <tr>
        </tr>
    </tfoot>
</table>

</div>
 

 




  {% endblock %}

   {% block scripts %}

        {% endblock %}

